Telegram APIPayments
payments.getConnectedStarRefBots
Fetch all affiliations we have created for a certain peer
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Fetch all affiliations we have created for a certain peer
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.getConnectedStarRefBots" \ -H "Content-Type: application/json" \ -d '{ "params": { "peer": { "_": "inputPeerEmpty" }, "limit": 0 } }'{ "result": { "_": "payments.connectedStarRefBots", "count": 0, "connectedBots": [ { "_": "connectedBotStarRef", "revoked": true, "url": "string", "date": 0, "botId": 0, "commissionPermille": 0, "durationMonths": 0, "participants": "string", "revenue": "string" } ], "users": [ { "_": "userEmpty", "id": 0 } ] }}getConnectedStarRefBot
Fetch info about a specific [bot affiliation »](https://core.telegram.org/api/bots/referrals)
getCraftStarGifts
Obtain owned [collectible gifts »](https://core.telegram.org/api/gifts#collectible-gifts) of a specific type that can be used for [crafting »](https://core.telegram.org/api/gifts#crafting-collectible-gifts).